#include "test_framework.hpp"

int main() {
    std::cout << "=== getpkg Multi-Server Support Unit Tests ===" << std::endl;
    std::cout << "Testing all components for multi-server functionality" << std::endl;
    std::cout << std::endl;
    
    // Run all tests (automatically registered via static constructors)
    int result = TestRunner::instance().runAllTests();
    
    if (result == 0) {
        std::cout << std::endl << "🎉 All tests passed! Multi-server support is working correctly." << std::endl;
    } else {
        std::cout << std::endl << "❌ Some tests failed. Please review the failures above." << std::endl;
    }
    
    return result;
}